Activity log for bug #1704489

Date Who What changed Old value New value Message
2017-07-14 21:31:00 Jason Hobbs bug added bug
2017-07-17 16:44:35 Jason Hobbs description I'm adding a machine, which appears to work fine, but MAAS returns a 401 error: Command failed: maas-cli root machines create hostname=taillow power_type=ipmi architecture=amd64/generic mac_addresses=ec:b1:d7:80:90:ac power_parameters_power_address=192.168.246.113 power_parameters_power_user=Administrator power_parameters_power_pass=insecure power_parameters_power_driver=LAN_2_0 b"Authorization Error: 'Nonce already used: afe9692868de46b3b163622f0c38ff09'" from regiond.log: 2017-07-14 21:20:13 regiond: [info] 10.245.208.32 POST /MAAS/api/2.0/machines/ HTTP/1.1 --> 401 UNAUTHORIZED (referrer: -; agent: Python-httplib2/0.9.1 (gzip)) from maas.log: Jul 14 21:19:43 lairon maas.api: [info] taillow: Enlisted new machine Jul 14 21:19:43 lairon maas.node: [info] taillow: Status transition from NEW to COMMISSIONING Jul 14 21:19:47 lairon maas.power: [info] Changed power state (on) of node: spinda (xneqy8) Jul 14 21:20:14 lairon maas.power: [info] Changing power state (on) of node: taillow (6gtqax) Jul 14 21:20:14 lairon maas.node: [info] taillow: Commissioning started Jul 14 21:20:27 lairon maas.power: [info] Changed power state (on) of node: taillow (6gtqax) This is very similar to bug 1702751 except the node is in commissioning state in this one, and I don't see any errors anywhere. I'm adding a machine, which appears to work fine, but MAAS returns a 401 error: Command failed: maas-cli root machines create hostname=taillow power_type=ipmi architecture=amd64/generic mac_addresses=ec:b1:d7:80:90:ac power_parameters_power_address=192.168.246.113 power_parameters_power_user=Administrator power_parameters_power_pass=insecure power_parameters_power_driver=LAN_2_0 b"Authorization Error: 'Nonce already used: afe9692868de46b3b163622f0c38ff09'" from regiond.log: 2017-07-14 21:20:13 regiond: [info] 10.245.208.32 POST /MAAS/api/2.0/machines/ HTTP/1.1 --> 401 UNAUTHORIZED (referrer: -; agent: Python-httplib2/0.9.1 (gzip)) from maas.log: Jul 14 21:19:43 lairon maas.api: [info] taillow: Enlisted new machine Jul 14 21:19:43 lairon maas.node: [info] taillow: Status transition from NEW to COMMISSIONING Jul 14 21:19:47 lairon maas.power: [info] Changed power state (on) of node: spinda (xneqy8) Jul 14 21:20:14 lairon maas.power: [info] Changing power state (on) of node: taillow (6gtqax) Jul 14 21:20:14 lairon maas.node: [info] taillow: Commissioning started Jul 14 21:20:27 lairon maas.power: [info] Changed power state (on) of node: taillow (6gtqax) This is very similar to bug 1702751 except the node is in commissioning state in this one, and I don't see any errors anywhere. It's worth pointing out we're using HA rack controllers. I get the feeling that this is somehow related to it taking a while to contact the BMC for the first time.
2017-07-17 17:36:47 Chris Gregan tags cdo-qa cdo-qa cdo-qa-blocker
2017-07-18 07:27:15 Blake Rouse summary nonce has already been used error when adding a machine [2.2] Duplicate communication is occurring to the same rack controller
2017-07-18 07:27:19 Blake Rouse maas: status New In Progress
2017-07-18 07:27:22 Blake Rouse maas: importance Undecided Critical
2017-07-18 07:27:24 Blake Rouse maas: assignee Blake Rouse (blake-rouse)
2017-07-18 07:27:45 Blake Rouse maas: milestone 2.3.0
2017-07-18 07:27:49 Blake Rouse nominated for series maas/2.2
2017-07-18 07:27:49 Blake Rouse bug task added maas/2.2
2017-07-18 07:27:54 Blake Rouse maas/2.2: status New In Progress
2017-07-18 07:27:56 Blake Rouse maas/2.2: importance Undecided Critical
2017-07-18 07:27:59 Blake Rouse maas/2.2: assignee Blake Rouse (blake-rouse)
2017-07-18 07:28:02 Blake Rouse maas/2.2: milestone 2.2.2
2017-07-18 07:28:04 Blake Rouse maas/2.2: status In Progress Triaged
2017-07-18 07:33:46 Launchpad Janitor merge proposal linked https://code.launchpad.net/~blake-rouse/maas/+git/maas/+merge/327585
2017-07-18 12:52:15 MAAS Lander maas: status In Progress Fix Committed
2017-07-18 14:11:21 Launchpad Janitor merge proposal linked https://code.launchpad.net/~blake-rouse/maas/+git/maas/+merge/327623
2017-07-18 14:11:36 Blake Rouse maas/2.2: status Triaged In Progress
2017-07-18 14:35:44 MAAS Lander maas/2.2: status In Progress Fix Committed
2017-07-28 15:21:22 Andres Rodriguez maas: milestone 2.3.0 2.3.0alpha1
2017-08-02 12:09:07 Andres Rodriguez maas: status Fix Committed Fix Released
2017-08-03 13:26:56 Nobuto Murata bug added subscriber Nobuto Murata
2017-08-04 21:24:03 Andres Rodriguez maas/2.2: status Fix Committed Fix Released